This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 738509 - xulrunner forces soft-float ABI for all arm targets
xulrunner forces soft-float ABI for all arm targets
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xulrunner (Show other bugs)
15
other Linux
unspecified Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2011-09-14 22:54 EDT by Brendan Conoboy
Modified: 2011-12-23 09:28 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-23 09:28:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
This patch allows xulrunner to build on armv7hl systems (10.25 KB, patch)
2011-09-14 22:55 EDT, Brendan Conoboy
no flags Details | Diff
Patch to properly configure the various arm platforms (1.43 KB, patch)
2011-12-22 05:44 EST, Peter Robinson
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 632915 None None None Never

  None (edit)
Description Brendan Conoboy 2011-09-14 22:54:03 EDT
Description of problem:

The xulrunner package includes special handling for ARM systems that modify the flags passed to gcc and g++.  One of the flags set the floating point ABI to soft-float, even if the system is hard float.  When the hard float and soft float options are mixed together, gcc bails resulting in a FTBFS.

Version-Release number of selected component (if applicable):

Observed in the latest F15 update to xulrunner, xulrunner-6.0.2-1.fc15.

How reproducible:

Every time.  The symptom is when autoconf tries to identify the size of int * and gets a result of '0'.

Steps to Reproduce:
1. Install Fedora-ARM F15 rootfs
2. Try to build xulrunner.
3. Watch configure break.
  
Actual results:

Configure breaks.

Expected results:

Package should build.

Additional info:

The attached patch removes the setting of the float ABI, instead letting autoconf do its job and get the right flags from gcc (EG, --mfloat-abi=hardfp).  This patch is against xulrunner-6.0.2-1.fc15.  I'm not clear on Fedora package standards wrt configure regeneration, so this patch does include changes to the generated configure.  Taking just the changes to the two configure.in's and rerunning autoconf should give the same results.
Comment 1 Brendan Conoboy 2011-09-14 22:55:52 EDT
Created attachment 523294 [details]
This patch allows xulrunner to build on armv7hl systems

This patch allows xulrunner to build on armv7hl systems.  It specifically stops configure from always specifying soft-float ABI and instead lets configure work out the right setting itself.
Comment 3 Niels de Vos 2011-12-22 04:44:14 EST
I think this is filed upstream already (currently still open):
- https://bugzilla.mozilla.org/show_bug.cgi?id=632915
Comment 4 Peter Robinson 2011-12-22 05:44:49 EST
Created attachment 549168 [details]
Patch to properly configure the various arm platforms

Based on xulrunner 9.0 there's proper configure options to set the various build options for the various ARM build options so we just need to set them so they get built. This patch to the current latest xulrunner.spec sets the options we want.
Comment 5 Peter Robinson 2011-12-23 09:28:51 EST
Pushed spec changes to xulrunnr in rawhdide.

Note You need to log in before you can comment on or make changes to this bug.